#include <metatask.h>
#include "ccmetatwice.h"
#include "cctaskwarning.h"
#include "cctask.h"
#include "f90task.h"
#include "testtasklib.h"
void ccmetatwice()
{
  testtasklib::test("ccmetatwice"); // consistency check

  Info::Task* t;

  t = task("cctaskwarning");
  testtasklib::test("ccmetatwice"); // consistency check
  t->setParameter("boolean",true);
  t->setParameter("foobar",9);
  t->exec(true);
  testtasklib::test("ccmetatwice"); // consistency check

  t = task("f90task");
  t->setParameter("set","f90.ds");
  t->setParameter("message","Hello world!");
  t->exec(true);
  testtasklib::test("ccmetatwice"); // consistency check
  
  t = task("cctask");
  t->setParameter("set","cc.ds");
  t->setParameter("message","Ciao mondo!");
  t->exec(false);
  testtasklib::test("ccmetatwice"); // consistency check
  

  t = task("cctaskwarning");
  t->setParameter("foobar",3);
  t->exec(true);
  testtasklib::test("ccmetatwice"); // consistency check

}
